"use strict";

var writer = require("./writer"),
    req = new XMLHttpRequest(),
    source = document.querySelector("#source"),
    compiled = document.querySelector("#compiled");

require("./layout.css");

req.open("GET", "./ast/html.json");

req.onload = function (res) {
  var code = req.responseText;
  source.value = code;
  return render(code);
};

req.send();

var render = function render(code) {
  var display = writer.render(JSON.parse(code));
  compiled.value = display;
  return undefined;
};

source.addEventListener("input", function (event) {
  return render(event.target.value);
});